Updates the IntegrationPoint object matching {integrationPointId}.
Operation ID: integrationPoints_update
Connector to use for the Integration Point.
Selects providers to use for account environments.
Optional description of the Integration Point. Will not be displayed to end-users of Connect UI.
A list of mapping chains to apply to integrations using this integration point. Each mapping chain is a list of mappings to apply to the integration in the order they should be applied. Mappings are applied by operation ID. If an integration is created that declares its own mappings for an operation, they will override this list of mappings. Leave this empty to use the default default mappings.
Additional data mappings for integrations added to this integration point. This allows for custom data to be mapped to the custom_fields portion of the response.
A creation template for integration scheduled operations. When an integration is created without a non-empty scheduled_operations list, this list is copied onto the integration and its operations are scheduled from that snapshot. Updating or clearing this template never changes integrations that already exist.
- Synqlyhttps://api.synqly.com/v1/integration-points/{integrationPointId}
curl -i -X PUT \
'https://api.synqly.com/v1/integration-points/{integrationPointId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string",
"connector": "appsec",
"environments": {},
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}'{ "result": { "id": "string", "fullname": "string", "description": "string", "connector": "appsec", "environments": { … }, "mappings": [ … ], "additional_mappings": [ … ], "scheduled_operations": [ … ], "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } }